Custom Denom

Inquiry

API to inquiry Custom Denom.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
SHOPEEPAY082100000000Success
SHOPEEPAY082100000001Inquiry - Invoice Has Been Paid
SHOPEEPAY082100000014Inquiry - Incorrect Destination Number
SHOPEEPAY082100000103Inquiry - Time Out
SHOPEEPAY082100001037Payment - Payment Failed
SHOPEEPAY082100001039Payment - Pending / transaction in process
SHOPEEPAY082100001105Payment - MISC Error / Biller System Error
SHOPEEPAY08210000XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringCustom Denom payment codeYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
descObejctProduct descriptionYes
desc.amountIntegerCustom nominal amountYes
{
  "commands" : "inq-pasca",
  "username" : "123123123",
  "code"     : "SHOPEEPAY",
  "hp"       : "082100000000",
  "ref_id"   : "978994691278",
  "sign"     : "6c6a046a14c444e44cfab5e4bbb01b01",
  "desc"     : {
    "amount" : 100000
  }
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail